package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuShortcutDTO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuShortcutTreeVO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuShortcutVO;

import java.util.List;

public interface YcqMenuShortcutService {
    List<MenuShortcutTreeVO> queryUnselectedMenu(Integer loginId);

    List<MenuShortcutTreeVO> querySelectedMenu(Integer loginId);

    Boolean insertBatch(List<String> menuCodeList, Integer loginId);

    Boolean deleteBatch(List<String> menucodeList, Integer loginId);

    List<MenuShortcutVO> querySelectedMenuList(Integer loginId);
}
